BlendFi
Referência da APITransaçõesCotações

List quotes (cursor-paginated)

GET
/v1/quotes
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

In: header

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
cursor?string
user_id?string
Formatuuid
status?string
Value in"active" | "expired" | "consumed" | "cancelled"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.sandbox.blendfi.com.br/v1/quotes"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
      "source_amount": "string",
      "source_currency": "string",
      "target_amount": "string",
      "target_currency": "string",
      "exchange_rate": "string",
      "spread_bps": 0,
      "destination_wallet_address": "string",
      "destination_wallet_network": "polygon",
      "status": "active",
      "expires_at": "2019-08-24T14:15:22Z",
      "consumed_at": "2019-08-24T14:15:22Z",
      "consumed_by_transaction_id": "6910c8f5-ad01-48f8-845a-5d626b47a57c",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}